Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.topics
Interface TopicNamespace

All Superinterfaces:
  XmlSerializable

All Known Implementing Classes:
  SimpleTopicNamespace

public interface TopicNamespace
extends XmlSerializable

TopicNamespace is an interface that represents the wsnt:TopicNamespace data structure described in WS-Notification v1.3 and WS-Topics v1.3.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `addTopic(Topic topic)` Adds a root topic to the namespace.
`java.lang.String` | `getName()`
`java.util.Collection` | `getRootTopics()`
`java.lang.String` | `getTargetNamespace()`
`Topic` | `getTopic(java.lang.String topicName)`
`boolean` | `hasTopic(java.lang.String topicName)`
`void` | `removeTopic(java.lang.String topicName)`
`void` | `setName(java.lang.String name)`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Method Detail

### addTopic

    public void addTopic(Topic topic)
                  throws BaseFault

  Adds a root topic to the namespace.

  Parameters:
    `topic` -
  Throws:
    `BaseFault`

### getName

    public java.lang.String getName()

  Returns:
    The local name of the topic namespace.

### getRootTopics

    public java.util.Collection getRootTopics()

  Returns:
    All of the topics in the namespace that don't have a parent topic.

### getTargetNamespace

    public java.lang.String getTargetNamespace()

  Returns:
    The namespace URI that represents the topic namespace.

### getTopic

    public Topic getTopic(java.lang.String topicName)

  Parameters:
    `topicName` -
  Returns:
    The root topic with the given name, or null if no such topic exists.

### hasTopic

    public boolean hasTopic(java.lang.String topicName)

  Parameters:
    `topicName` -
  Returns:
    True if the namespace has a topic with the given name.

### removeTopic

    public void removeTopic(java.lang.String topicName)

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD